Les dépôts sous Ubuntu sont un peu vieux puisqu'ils font appel à Ruby 1.9.3 alors que nous utilisons la version 2.2.1, beaucoup plus rapide.


Nous conseillons donc d'utiliser rvm (Ruby Version Manager), un script de gestion de version de ruby. Pour récupérer ce script, tapez : curl -sSL https://get.rvm.io | bash


Si curl n'est pas installée vous aurez un message vous suggérant de l'installer (sudo apt-get install curl)


Après l'installation, il est demandé de faire source /home/jcl/.rvm/scripts/rvm
qui va mettre à jour votre profil pour l'utilisation de ruby.

Si vous faites rvm list, rvm vous indiquera qu'il n'y a pas de version de ruby installée.
La commande rvm install ruby-2.2.1 lancera l'installation de ruby avec la bonne version


Vérifiez que tout fonctionne en faisant successivement

  • rvm list pour avoir la liste des versions de ruby installées (normalement une seule)
  • ruby -v pour vérifier que votre ligne de commande trouve bien ruby. Vous devriez voir s'afficher la version de Ruby.
  • irb pour rentrer dans l'intérpréteur de Ruby (vous pouvez par exemple taper 2+3 pour vérifier que Ruby sait calculer). Vous sortirez de irb avec la commande Ctrl+C.

    Muni de postgresql et de ruby, nous allons pouvoir maintenant passer à la récupération du programme.